# LbWidget

#### new LbWidget(options)

Source:
  - modules/LbWidget.js, line 35

Main leaderboard widget, controls all actions and initiation logic.
Main responsibility is to control the interactions between different widgets/plugins and user even actions

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | setting parameters used to overwrite the default settings

### Members

#### (static, constant) this.settings :Object

Source:
  - modules/LbWidget.js, line 42

LbWidget settings

##### Type:

- Object

#### (inner, constant) competitionCheckAjax

Source:
  - modules/LbWidget.js, line 307

get a list of available competition filtered by provided global criteria

#### (inner, constant) competitionFinishedCheckAjax

Source:
  - modules/LbWidget.js, line 371

get a list of finished competition filtered by provided global criteria

### Methods

#### (static) this.formatDateTime(duration) → {string}

Source:
  - modules/LbWidget.js, line 258

Format duration of Date Time from moment() object

##### Parameters:

Name | Type | Description
--- | --- | ---
`duration` | moment |

##### Returns:

Type
  string

#### (static) this.init() → {undefined}

Source:
  - modules/LbWidget.js, line 1788

Init LbWidget method

##### Returns:

Type
  undefined

#### (static) this.openWithTabAndAction(tab, actionCallback)

Source:
  - modules/LbWidget.js, line 1439

Open main widget and open specific tab and loads relevant action

##### Parameters:

Name | Type | Description
--- | --- | ---
`tab` |  | String
`actionCallback` |  | Function